Up

# NSCompoundPredicate class documentation

### Authors

Generated by Debian

# Software documentation for the NSCompoundPredicate class

## NSCompoundPredicate : NSPredicate

> Declared in:
>   Foundation/NSCompoundPredicate.h

Availability: MacOS-X 10.4.0
Description forthcoming.

Instance Variables
Method summary

- +andPredicateWithSubpredicates:
- +notPredicateWithSubpredicate:
- +orPredicateWithSubpredicates:
- -compoundPredicateType
- -initWithType:subpredicates:
- -subpredicates

### andPredicateWithSubpredicates:

+ (NSPredicate*) andPredicateWithSubpredicates: (NSArray*)list;
Availability: MacOS-X 10.4.0
Description forthcoming.

### notPredicateWithSubpredicate:

+ (NSPredicate*) notPredicateWithSubpredicate: (NSPredicate*)predicate;
Availability: MacOS-X 10.4.0
Description forthcoming.

### orPredicateWithSubpredicates:

+ (NSPredicate*) orPredicateWithSubpredicates: (NSArray*)list;
Availability: MacOS-X 10.4.0
Description forthcoming.

### compoundPredicateType

- (NSCompoundPredicateType) compoundPredicateType;
Availability: MacOS-X 10.4.0
Description forthcoming.

### initWithType: subpredicates:

- (id) initWithType: (NSCompoundPredicateType)type subpredicates: (NSArray*)list;
Availability: MacOS-X 10.4.0
Description forthcoming.

### subpredicates

- (NSArray*) subpredicates;
Availability: MacOS-X 10.4.0
Description forthcoming.

## Instance Variables for NSCompoundPredicate Class

### _subs

@protected NSArray* _subs;
Availability: MacOS-X 10.4.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _type

@protected NSCompoundPredicateType _type;
Availability: MacOS-X 10.4.0
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up